## mpsolve 3.2.1

=== debian/changelog ===
mpsolve (3.2.1-7) unstable; urgency=medium

  * debian/control
    - Update Maintainer to Debian Math Team.
  * debian/libmps3.symbols
    - Remove redundant lines.
    - Mark some symbols for template instantiations as optional as they may
      be optimized out by LTO (Closes: #1015548).

 -- Doug Torrance <dtorrance@debian.org>  Tue, 19 Jul 2022 23:54:36 -0400

mpsolve (3.2.1-6) unstable; urgency=medium

  * debian/control
    - Update my email address (now a Debian Developer).
    - Switch from dh-python to dh-sequence-python3 in Build-Depends; will
      simplify d/rules.
    - Bump Standards-Version to 4.6.1.
    - Update Vcs-* URL's (science-team -> math-team).
    - Add "MPSolve" to descriptions for binary packages
  * debian/copyright
    - Update my copyright years and email address.
  * debian/gbp.conf
    - Add file; set default debian-branch to debian/latest; recommended by
      DEP-14.
  * debian/patches
    - Update my email address in Author fields.
  * debian/rules
    - Drop "--with python3"; unnecessary now that we have
      dh-sequence-python3 in Build-Depends.

 -- Doug Torrance <dtorrance@debian.org>  Sat, 28 May 2022 22:57:40 -0400

mpsolve (3.2.1-5) unstable; urgency=medium

  * debian/patches/autoconf-2.70.patch
    - New patch; adjust configure.ac to work with autoconf 2.70
      (Closes: #997249).

 -- Doug Torrance <dtorrance@piedmont.edu>  Mon, 01 Nov 2021 11:51:45 -0400

mpsolve (3.2.1-4) unstable; urgency=medium

  * debian/control
    - Set Architecture for xmpsolve to linux-any; requires Qt, which isn't
      available on kFreeBSD architectures.
    - Limit qtbase5-dev in Build-Depends to linux-any.
    - Drop qtbase5-dev-tools from Build-Depends; redundant as it is a
      dependency of qtbase5-dev.
    - Remove autoconf, automake, and libtool from Build-Depends; redundant
      as they are dependencies of debhelper (via dh-autoreconf).
    - Drop deprecated GTK2 as option in Build-Depends.
    - Switch from libcairo2-dev to virtual libcairo-dev in Build-Depends
      to simplify any future transitions.
    - Remove dummy package libgmp3-dev as backup to libgmp-dev in
      Build-Depends.
    - Drop libmpfr-dev from Build-Depends; not used.
  * debian/rules
    - Don't enable tcmalloc on architectures that give us a "cannot
      allocate memory in static TLS block" error.

 -- Doug Torrance <dtorrance@piedmont.edu>  Sun, 22 Aug 2021 22:14:41 -0400

mpsolve (3.2.1-3) unstable; urgency=medium

  * debian/{*.install,tests/control}
    - Clean up using wrap-and-sort.
  * debian/control
    - Drop libtcmalloc-minimal* from Build-Depends and replace them with
      libgoogle-perftools-dev, which actually contains the unversioned .so
      file for linking.
    - Omit libgoogle-perftools-dev from Build-Depends for architectures on
      which it doesn't (currently) exist.
    - Bump Standards-Version to 4.6.0
  * debian/rules
    - New override_dh_auto_configure target; only enable tcmalloc if
      libgoogle-perftools-dev is installed.

 -- Doug Torrance <dtorrance@piedmont.edu>  Sun, 22 Aug 2021 15:22:37 -0400

mpsolve (3.2.1-2) unstable; urgency=medium

  * Source-only upload for migration to testing.
  * debian/control
    - Set libmps-dev and libmps-fortran-dev to "Multi-Arch: same" as
      suggested by Multi-Arch hinter.

 -- Doug Torrance <dtorrance@piedmont.edu>  Mon, 19 Oct 2020 16:09:58 -0400

mpsolve (3.2.1-1) unstable; urgency=low

  * Initial release (Closes: #958919).

 -- Doug Torrance <dtorrance@piedmont.edu>  Tue, 21 Jul 2020 21:39:56 -0400
