=== debian/control ===
Source: mpsolve
Section: science
Priority: optional
Maintainer: Debian Math Team <team+math@tracker.debian.org>
Uploaders: Doug Torrance <dtorrance@debian.org>
Build-Depends: bison,
               check,
               debhelper-compat (= 13),
               dh-sequence-python3,
               flex,
               libcairo-dev,
               libgmp-dev,
               libgoogle-perftools-dev [!alpha !hppa !hurd-i386 !ia64 !m68k
                                        !sh4 !sparc64 !x32],
               libgtk-3-dev,
               python3-dev,
               qtbase5-dev [linux-any]
Standards-Version: 4.6.1
Homepage: https://numpi.dm.unipi.it/software/mpsolve
Vcs-Git: https://salsa.debian.org/math-team/mpsolve.git
Vcs-Browser: https://salsa.debian.org/math-team/mpsolve
Rules-Requires-Root: no

Package: mpsolve
Architecture: any
Depends: libmps3 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Multiprecision polynomial solver (command line version)
 A polynomial rootfinder that can determine arbitrary precision approximations
 with guaranteed inclusion radii.
 It supports exploiting of polynomial structures such as sparsisty and allows
 for polynomial implicitly defined or in some non standard basis.
 .
 This package contains the command line version of MPSolve.

Package: libmps3
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Multiprecision polynomial solver (shared library)
 A polynomial rootfinder that can determine arbitrary precision approximations
 with guaranteed inclusion radii.
 It supports exploiting of polynomial structures such as sparsisty and allows
 for polynomial implicitly defined or in some non standard basis.
 .
 This package contains the libmps shared library of MPSolve.

Package: libmps-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends: libmps3 (= ${binary:Version}), ${misc:Depends}
Description: Multiprecision polynomial solver (development)
 A polynomial rootfinder that can determine arbitrary precision approximations
 with guaranteed inclusion radii.
 It supports exploiting of polynomial structures such as sparsisty and allows
 for polynomial implicitly defined or in some non standard basis.
 .
 This package contains the development headers and the .so library of MPSolve.

Package: libmps-fortran0
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Multiprecision polynomial solver (FORTRAN module)
 A polynomial rootfinder that can determine arbitrary precision approximations
 with guaranteed inclusion radii.
 It supports exploiting of polynomial structures such as sparsisty and allows
 for polynomial implicitly defined or in some non standard basis.
 .
 This package contains the module MPS that can be used to call MPSolve from
 FORTRAN programs.

Package: libmps-fortran-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends: libmps-fortran0 (= ${binary:Version}), ${misc:Depends}
Description: Multiprecision polynomial solver (FORTRAN module development)
 A polynomial rootfinder that can determine arbitrary precision approximations
 with guaranteed inclusion radii.
 It supports exploiting of polynomial structures such as sparsisty and allows
 for polynomial implicitly defined or in some non standard basis.
 .
 This package contains the module MPS that can be used to compile FORTRAN
 programs using MPSolve.

Package: python3-mpsolve
Architecture: all
Section: python
Depends: libmps3 (>= ${binary:Version}), ${misc:Depends}, ${python3:Depends}
Description: Multiprecision polynomial solver (Python interface)
 A polynomial rootfinder that can determine arbitrary precision approximations
 with guaranteed inclusion radii.
 It supports exploiting of polynomial structures such as sparsisty and allows
 for polynomial implicitly defined or in some non standard basis.
 .
 This package contains the Python interface to MPSolve.

Package: xmpsolve
Architecture: linux-any
Depends: libmps3 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Multiprecision polynomial solver (graphical version)
 A polynomial rootfinder that can determine arbitrary precision approximations
 with guaranteed inclusion radii.
 It supports exploiting of polynomial structures such as sparsisty and allows
 for polynomial implicitly defined or in some non standard basis.
 .
 This package contains the graphical version of MPSolve.

Package: mandelbrot-solver
Architecture: any
Depends: libmps3 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Solver for Mandelbrot polynomials based on MPSolve
 A polynomial rootfinder that can determine arbitrary precision approximations
 with guaranteed inclusion radii.
 It supports exploiting of polynomial structures such as sparsisty and allows
 for polynomial implicitly defined or in some non standard basis.
 This binary, provided as an example of custom polynomial
 implementation in the MPSolve package, uses the particular structure
 of this family of polynomials to develop an efficient solver that
 exhibit experimental O(n^2) complexity.
 .
 This package contains the specialization of mpsolve to Mandelbrot polynomials.
