=== debian/watch ===
# don't use @ARCHIVE_EXT@, as that will match *-windows.zip files which uscan
# thinks are newer versions
version=4
https://numpi.dm.unipi.it/downloads/mpsolve/\
@PACKAGE@@ANY_VERSION@(?i)\.(?:tar\.xz|tar\.bz2|tar\.gz|tgz|tbz|txz)
