## mpsolve 3.2.3

=== debian/changelog ===
mpsolve (3.2.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/control
    - Bump Standards-Version to 4.7.2.
  * debian/copyright
    - Replace old FSF address in LGPL-2.1 stanza.
  * debian/libmps*.lintian-overrides
    - Remove package-name-doesnt-match-sonames overrides; no longer flagged
      by lintian for t64 transition libraries.
  * debian/libmps3t64.symbols
    - Add new symbols.
    - Add missing "@Base" and version number on symbol.
  * debian/patches
    - Remove directory; patches applied upstream
  * debian/rules
    - Regenerate the bison files, as the ones shipped by upstream were
      generated by BSD yacc and result in a compilation error due to
      implicitly defining 'yyparse'.
  * debian/watch
    - Update with new download location.

 -- Doug Torrance <dtorrance@debian.org>  Wed, 03 Sep 2025 10:43:57 -0400

mpsolve (3.2.1-11) unstable; urgency=medium

  * debian/control
    - Bump Standards-Version to 4.7.0.
  * debian/copyright
    - Update my copyright years.
  * debian/gbp.conf
    - Set pristine-tar to True
  * debian/patches/gcc-15
    - New patch; don't define mps_boolean as enum in C23
      (Closes: #1097416).

 -- Doug Torrance <dtorrance@debian.org>  Tue, 18 Feb 2025 19:38:31 -0500

mpsolve (3.2.1-10.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062951

 -- Benjamin Drung <bdrung@debian.org>  Wed, 28 Feb 2024 20:24:05 +0000

mpsolve (3.2.1-10) unstable; urgency=medium

  * debian/control
    - Switch Section to math.
    - Add hurd-amd64 and remove x32 from list of architectures without
      libgoogle-perftools-dev in Build-Depends.
  * debian/copyright
    - Bump my copyright years.
  * debian/rules
    - Disable tcmalloc on loong64.  Thanks to JiaLing Zhang for the patch!
      (Closes: #1057444).
  * debian/libmps3.symbols
    - Split __do_uninit_fill_n symbols into 32- and 64-bit versions.

 -- Doug Torrance <dtorrance@debian.org>  Mon, 11 Dec 2023 07:23:39 -0500

mpsolve (3.2.1-9) unstable; urgency=medium

  * debian/clean
    - New file; remove generated __pycache__ directory (Closes: #1048417).
  * debian/libmps3.symbols
    - Add new symbols that appear when building with GCC 12.

 -- Doug Torrance <dtorrance@debian.org>  Mon, 14 Aug 2023 23:17:45 -0400

mpsolve (3.2.1-8) unstable; urgency=medium

  * debian/control
    - Bump Standards-Version to 4.6.2.
    - Update Homepage URL.
  * debian/watch
    - Update download link.

 -- Doug Torrance <dtorrance@debian.org>  Tue, 20 Jun 2023 11:11:30 -0400
