=== debian/control ===
--- 
+++ 
@@ -1,29 +1,29 @@
 Source: mpsolve
-Section: science
+Section: math
 Priority: optional
 Maintainer: Debian Math Team <team+math@tracker.debian.org>
 Uploaders: Doug Torrance <dtorrance@debian.org>
-Build-Depends: bison,
+Build-Depends: dpkg-dev (>= 1.22.5), bison,
                check,
                debhelper-compat (= 13),
                dh-sequence-python3,
                flex,
                libcairo-dev,
                libgmp-dev,
-               libgoogle-perftools-dev [!alpha !hppa !hurd-i386 !ia64 !m68k
-                                        !sh4 !sparc64 !x32],
+               libgoogle-perftools-dev [!alpha !hppa !hurd-i386 !hurd-amd64
+                                       !ia64 !m68k !sh4 !sparc64],
                libgtk-3-dev,
                python3-dev,
                qtbase5-dev [linux-any]
-Standards-Version: 4.6.1
-Homepage: https://numpi.dm.unipi.it/software/mpsolve
+Standards-Version: 4.7.2
+Homepage: https://numpi.dm.unipi.it/scientific-computing-libraries/mpsolve/
 Vcs-Git: https://salsa.debian.org/math-team/mpsolve.git
 Vcs-Browser: https://salsa.debian.org/math-team/mpsolve
 Rules-Requires-Root: no
 
 Package: mpsolve
 Architecture: any
-Depends: libmps3 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: libmps3t64 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: Multiprecision polynomial solver (command line version)
  A polynomial rootfinder that can determine arbitrary precision approximations
  with guaranteed inclusion radii.
@@ -32,7 +32,10 @@
  .
  This package contains the command line version of MPSolve.
 
-Package: libmps3
+Package: libmps3t64
+Provides: ${t64:Provides}
+Replaces: libmps3
+Breaks: libmps3 (<< ${source:Version})
 Architecture: any
 Section: libs
 Pre-Depends: ${misc:Pre-Depends}
@@ -50,7 +53,7 @@
 Architecture: any
 Section: libdevel
 Multi-Arch: same
-Depends: libmps3 (= ${binary:Version}), ${misc:Depends}
+Depends: libmps3t64 (= ${binary:Version}), ${misc:Depends}
 Description: Multiprecision polynomial solver (development)
  A polynomial rootfinder that can determine arbitrary precision approximations
  with guaranteed inclusion radii.
@@ -59,7 +62,10 @@
  .
  This package contains the development headers and the .so library of MPSolve.
 
-Package: libmps-fortran0
+Package: libmps-fortran0t64
+Provides: ${t64:Provides}
+Replaces: libmps-fortran0
+Breaks: libmps-fortran0 (<< ${source:Version})
 Architecture: any
 Section: libs
 Pre-Depends: ${misc:Pre-Depends}
@@ -78,7 +84,7 @@
 Architecture: any
 Section: libdevel
 Multi-Arch: same
-Depends: libmps-fortran0 (= ${binary:Version}), ${misc:Depends}
+Depends: libmps-fortran0t64 (= ${binary:Version}), ${misc:Depends}
 Description: Multiprecision polynomial solver (FORTRAN module development)
  A polynomial rootfinder that can determine arbitrary precision approximations
  with guaranteed inclusion radii.
@@ -91,7 +97,7 @@
 Package: python3-mpsolve
 Architecture: all
 Section: python
-Depends: libmps3 (>= ${binary:Version}), ${misc:Depends}, ${python3:Depends}
+Depends: libmps3t64 (>= ${binary:Version}), ${misc:Depends}, ${python3:Depends}
 Description: Multiprecision polynomial solver (Python interface)
  A polynomial rootfinder that can determine arbitrary precision approximations
  with guaranteed inclusion radii.
@@ -102,7 +108,7 @@
 
 Package: xmpsolve
 Architecture: linux-any
-Depends: libmps3 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: libmps3t64 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: Multiprecision polynomial solver (graphical version)
  A polynomial rootfinder that can determine arbitrary precision approximations
  with guaranteed inclusion radii.
@@ -113,7 +119,7 @@
 
 Package: mandelbrot-solver
 Architecture: any
-Depends: libmps3 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: libmps3t64 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: Solver for Mandelbrot polynomials based on MPSolve
  A polynomial rootfinder that can determine arbitrary precision approximations
  with guaranteed inclusion radii.
