=== debian/tests/control ===
Test-Command: gcc examples/C/root_of_unity.c -lm -lgmp -lmps -pthread &&
  mpsolve -p "x^4-6*x^9+6/7*x + 5"
Depends: build-essential, libgmp-dev, @
