=== debian/watch ===
version=4
https://numpi.dm.unipi.it/scientific-computing-libraries/mpsolve/ \
.*/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
